> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lidian.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Quote

> Create a quote for a quote request

Create a quote for a quote request.


## OpenAPI

````yaml POST /api/v1/quotes
openapi: 3.1.0
info:
  title: Lidian Protocol API
  description: REST and WebSocket API for the Lidian cross-chain stablecoin swap protocol
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.lidian.finance
    description: API
security:
  - apiKeyAuth: []
paths:
  /api/v1/quotes:
    post:
      description: Create a quote for a quote request
      requestBody:
        description: Quote parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateQuoteRequest'
        required: true
      responses:
        '200':
          description: Quote created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QuoteResponse'
components:
  schemas:
    CreateQuoteRequest:
      type: object
      required:
        - quoteRequestId
        - outputAmount
      properties:
        quoteRequestId:
          type: string
        outputAmount:
          type: string
    QuoteResponse:
      type: object
      properties:
        message:
          type: string
        data:
          type: object
          properties:
            quoteId:
              type: string
            orderId:
              type: string
            quote:
              type: object
              properties:
                id:
                  type: string
                quoteRequestId:
                  type: string
                liquidityProviderId:
                  type: string
                offerer:
                  type: string
                recipient:
                  type: string
                inputToken:
                  type: string
                outputToken:
                  type: string
                inputAmount:
                  type: string
                outputAmount:
                  type: string
                inputChain:
                  type: string
                outputChain:
                  type: string
                startTime:
                  type: number
                endTime:
                  type: number
                signingHash:
                  type: string
                status:
                  type: string
                  enum:
                    - active
                    - expired
                    - filled
                createdAt:
                  type: string
                orderId:
                  type: string
                typedData:
                  type: object
            typedData:
              type: object
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````